import sys

PYQT5 = False
try:
    # use PyQt5 unless not available or specified otherwise
    if '--no-qt5' not in sys.argv:
        try:
            import PyQt5
            PYQT5 = True
            import PyQt5.sip
            PyQt5.sip.setapi('QString', 2)
            PyQt5.sip.setapi('QVariant', 2)
        except ImportError:
            pass
    if not PYQT5:
        import PyQt4
        import PyQt4.sip
        PyQt4.sip.setapi('QString', 2)
        PyQt4.sip.setapi('QVariant', 2)

except ImportError:
    _msg = "Please install PyQt4 or PyQt5 first."
    raise RuntimeError(_msg)

# use KDE unless not available or specified otherwise
KDE = False
if '--no-kde' not in sys.argv:
    if PYQT5:
        #TODO use PyKDE5 once more easily available
        pass
    else:
        try:
            import PyKDE4
            KDE = True
        except ImportError:
            pass
